## speedpad 1.0

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/speedpad.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/speedpad.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
speedpad (1.0-2) unstable; urgency=low

  * Fix description. (Closes: #809748)
  * Change Vcs-Git to use https

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Sun, 24 Jan 2016 14:55:51 +0100

speedpad (1.0-1) unstable; urgency=low

  * Initial release. (Closes: #646059)

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Thu, 17 Sep 2015 18:50:52 +0200

=== debian/control ===
Source: speedpad
Section: games
Priority: optional
Maintainer: Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>
Standards-Version: 3.9.6
Build-Depends: debhelper (>= 9), python, dh-python
Vcs-Git: https://github.com/ltworf/speedpad-debian.git
Vcs-Browser: https://github.com/ltworf/speedpad-debian
Homepage: http://feurix.org/projects/speedpad/

Package: speedpad
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Recommends: fortune-mod | fortunes | fortunes-bg | fortunes-bofh-excuses |
 fortunes-br | fortunes-cs | fortunes-de | fortunes-debian-hints | fortunes-eo
 | fortunes-eo-ascii | fortunes-eo-iso3 | fortunes-es | fortunes-es-off |
 fortunes-fr | fortunes-ga | fortunes-it | fortunes-it-off | fortunes-mario
 | fortunes-min | fortunes-off | fortunes-pl | fortunes-ru
Description: ncurses tool to test, train, and increase typing speed
 This is a tool to improve your typing speed on arbitrary text input:
 .
  * designed for intermediate to advanced level typists
  * assumes that you have already learned how to touch type
  * no lessons, no single words, no synthetic stuff
  * tab expansion, auto indentation and syntax support to train on code
  * reference speed robot (defaults to 100 WPM)
  * supports CPS, CPM, WPM, PPM, and CPH/KPH metrics
  * shows detailed statistics about speed and typos
  * helps to find and eliminate frequent typos
 .
 Speedpad uses fortune(6) to generate quotes if no input is provided. It
 dumps statistics to standard output in machine-readable format. This can
 be used to visualize your progress using tools like gnuplot(1).
 .
 If you want to learn touch typing, have a look at gtypist(1) instead. If
 you want to play typing games, have a look at tuxtype(1) and typespeed(1).
